package com.chenyang.nse.bussiness.entity.vo;

public class FeildScopeReqVO {
   private String datasystemid;
   private String schema;
   private String fieldname;
   private String pageSize;
   private String pageNo;
   private String projectId;
   private String setuptype;
   private String version;
   private String field;
   private String table;
   private String editionid;

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public String getSchema() {
      return this.schema;
   }

   public String getFieldname() {
      return this.fieldname;
   }

   public String getPageSize() {
      return this.pageSize;
   }

   public String getPageNo() {
      return this.pageNo;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public String getSetuptype() {
      return this.setuptype;
   }

   public String getVersion() {
      return this.version;
   }

   public String getField() {
      return this.field;
   }

   public String getTable() {
      return this.table;
   }

   public String getEditionid() {
      return this.editionid;
   }

   public void setDatasystemid(final String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setFieldname(final String fieldname) {
      this.fieldname = fieldname;
   }

   public void setPageSize(final String pageSize) {
      this.pageSize = pageSize;
   }

   public void setPageNo(final String pageNo) {
      this.pageNo = pageNo;
   }

   public void setProjectId(final String projectId) {
      this.projectId = projectId;
   }

   public void setSetuptype(final String setuptype) {
      this.setuptype = setuptype;
   }

   public void setVersion(final String version) {
      this.version = version;
   }

   public void setField(final String field) {
      this.field = field;
   }

   public void setTable(final String table) {
      this.table = table;
   }

   public void setEditionid(final String editionid) {
      this.editionid = editionid;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FeildScopeReqVO)) {
         return false;
      } else {
         FeildScopeReqVO other = (FeildScopeReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$datasystemid = this.getDatasystemid();
            Object other$datasystemid = other.getDatasystemid();
            if (this$datasystemid == null) {
               if (other$datasystemid != null) {
                  return false;
               }
            } else if (!this$datasystemid.equals(other$datasystemid)) {
               return false;
            }

            Object this$schema = this.getSchema();
            Object other$schema = other.getSchema();
            if (this$schema == null) {
               if (other$schema != null) {
                  return false;
               }
            } else if (!this$schema.equals(other$schema)) {
               return false;
            }

            Object this$fieldname = this.getFieldname();
            Object other$fieldname = other.getFieldname();
            if (this$fieldname == null) {
               if (other$fieldname != null) {
                  return false;
               }
            } else if (!this$fieldname.equals(other$fieldname)) {
               return false;
            }

            Object this$pageSize = this.getPageSize();
            Object other$pageSize = other.getPageSize();
            if (this$pageSize == null) {
               if (other$pageSize != null) {
                  return false;
               }
            } else if (!this$pageSize.equals(other$pageSize)) {
               return false;
            }

            Object this$pageNo = this.getPageNo();
            Object other$pageNo = other.getPageNo();
            if (this$pageNo == null) {
               if (other$pageNo != null) {
                  return false;
               }
            } else if (!this$pageNo.equals(other$pageNo)) {
               return false;
            }

            Object this$projectId = this.getProjectId();
            Object other$projectId = other.getProjectId();
            if (this$projectId == null) {
               if (other$projectId != null) {
                  return false;
               }
            } else if (!this$projectId.equals(other$projectId)) {
               return false;
            }

            Object this$setuptype = this.getSetuptype();
            Object other$setuptype = other.getSetuptype();
            if (this$setuptype == null) {
               if (other$setuptype != null) {
                  return false;
               }
            } else if (!this$setuptype.equals(other$setuptype)) {
               return false;
            }

            Object this$version = this.getVersion();
            Object other$version = other.getVersion();
            if (this$version == null) {
               if (other$version != null) {
                  return false;
               }
            } else if (!this$version.equals(other$version)) {
               return false;
            }

            Object this$field = this.getField();
            Object other$field = other.getField();
            if (this$field == null) {
               if (other$field != null) {
                  return false;
               }
            } else if (!this$field.equals(other$field)) {
               return false;
            }

            Object this$table = this.getTable();
            Object other$table = other.getTable();
            if (this$table == null) {
               if (other$table != null) {
                  return false;
               }
            } else if (!this$table.equals(other$table)) {
               return false;
            }

            Object this$editionid = this.getEditionid();
            Object other$editionid = other.getEditionid();
            if (this$editionid == null) {
               if (other$editionid != null) {
                  return false;
               }
            } else if (!this$editionid.equals(other$editionid)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof FeildScopeReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $datasystemid = this.getDatasystemid();
      result = result * 59 + ($datasystemid == null ? 43 : $datasystemid.hashCode());
      Object $schema = this.getSchema();
      result = result * 59 + ($schema == null ? 43 : $schema.hashCode());
      Object $fieldname = this.getFieldname();
      result = result * 59 + ($fieldname == null ? 43 : $fieldname.hashCode());
      Object $pageSize = this.getPageSize();
      result = result * 59 + ($pageSize == null ? 43 : $pageSize.hashCode());
      Object $pageNo = this.getPageNo();
      result = result * 59 + ($pageNo == null ? 43 : $pageNo.hashCode());
      Object $projectId = this.getProjectId();
      result = result * 59 + ($projectId == null ? 43 : $projectId.hashCode());
      Object $setuptype = this.getSetuptype();
      result = result * 59 + ($setuptype == null ? 43 : $setuptype.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $field = this.getField();
      result = result * 59 + ($field == null ? 43 : $field.hashCode());
      Object $table = this.getTable();
      result = result * 59 + ($table == null ? 43 : $table.hashCode());
      Object $editionid = this.getEditionid();
      result = result * 59 + ($editionid == null ? 43 : $editionid.hashCode());
      return result;
   }

   public String toString() {
      return "FeildScopeReqVO(datasystemid=" + this.getDatasystemid() + ", schema=" + this.getSchema() + ", fieldname=" + this.getFieldname() + ", pageSize=" + this.getPageSize() + ", pageNo=" + this.getPageNo() + ", projectId=" + this.getProjectId() + ", setuptype=" + this.getSetuptype() + ", version=" + this.getVersion() + ", field=" + this.getField() + ", table=" + this.getTable() + ", editionid=" + this.getEditionid() + ")";
   }
}
